#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;

    scanf("%d",&n);

    int a[n];

    for(int i = 0; i < n; i++)
    {
        scanf("%d",&a[i]);
    }
    int p;
    if(a[0] > a[1])
    {
        p = a[0];
        a[0] = a[1];
        a[1] = p;
    }
    for(int i = 0; i < n; i++)
    {
        printf("%d ",a[i]);
    }
}